# Uses of Class
org.eclipse.birt.report.model.api.elements.structures.DataSetParameter

Packages that use DataSetParameter
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.elements.structures
Defines the structure types in Model system.

## Uses of DataSetParameter in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return DataSetParameter
Modifier and Type
Method
Description
`static DataSetParameter`
StructureFactory.`createDataSetParameter()`
Creates an empty data-set parameter structure.

## Uses of DataSetParameter in org.eclipse.birt.report.model.api.elements.structures

Subclasses of DataSetParameter in org.eclipse.birt.report.model.api.elements.structures
Modifier and Type
Class
Description
`class`
`OdaDataSetParameter`
Represents the parameter for ODA drivers.